<template>
  <div class="animated fadeIn">
    <b-row>
      <b-col sm="6" md="3">
        <b-card class="text-white bg-info">
          <div class="h1 text-muted text-right mb-4">
            <i class="icon-people"></i>
          </div>
          <div class="h2 mb-0">{{ summary.countSalesmen }}</div>
          <small class="text-white text-uppercase font-weight-bold">Nhân viên giao dịch</small>
          <!-- <b-progress height={} class="progress-white progress-xs mt-3" :value="25"/> -->
        </b-card>
      </b-col>
      <b-col sm="6" md="3">
        <b-card class="text-white bg-success">
          <div class="h1 text-muted text-right mb-4">
            <i class="icon-briefcase"></i>
          </div>
          <div class="h2 mb-0">{{ summary.countAgencies }}</div>
          <small class="text-white text-uppercase font-weight-bold">Đại lý</small>
          
        </b-card>
      </b-col>
      <b-col sm="6" md="3">
        <b-card class="text-white bg-warning">
          <div class="h1 text-muted text-right mb-4">
            <i class="icon-basket-loaded"></i>
          </div>
          <div class="h2 mb-0">{{ summary.countPayments }}</div>
          <small class="text-white text-uppercase font-weight-bold">Giao dịch đã thực hiện</small>
       
        </b-card>
      </b-col>
      <b-col sm="6" md="3">
        <b-card class="text-white bg-primary">
          <div class="h1 text-muted text-right mb-4">
            <i class="icon-location-pin"></i>
          </div>
          <div class="h2 mb-0">{{ summary.countProvinces }}</div>
          <small class="text-white text-uppercase font-weight-bold">Số tỉnh thành có đại lý</small>
          
        </b-card>
      </b-col>

    </b-row><!--/.row-->
    <b-card>
      <b-row>
        <b-col sm="5">
          <h4 id="traffic" class="card-title mb-0">Biểu đồ số giao dịch 7 ngày qua</h4>
          <div class="small text-muted">Cập nhật lần cuối:{{ this.$moment().calendar() }}</div>
        </b-col>
        <b-col sm="7" class="d-none d-md-block">
          <!-- <b-button type="button" variant="primary" class="float-right"><i class="icon-cloud-download"></i></b-button>
          <b-button-toolbar class="float-right" aria-label="Toolbar with buttons group">
            <b-form-radio-group class="mr-3" id="radiosBtn" buttons button-variant="outline-secondary" v-model="selected" name="radiosBtn">
              <b-form-radio class="mx-0" value="Day">Day</b-form-radio>
              <b-form-radio class="mx-0" value="Month">Month</b-form-radio>
              <b-form-radio class="mx-0" value="Year">Year</b-form-radio>
            </b-form-radio-group>
          </b-button-toolbar> -->
        </b-col>
      </b-row>
      <main-chart-example chartId="main-chart-01" class="chart-wrapper" style="height:300px;margin-top:40px;" height="300"></main-chart-example>
      <!-- <div slot="footer">
        <b-row class="text-center">
          <b-col class="mb-sm-2 mb-0">
            <div class="text-muted">Visits</div>
            <strong>29.703 Users (40%)</strong>
            <b-progress height={} class="progress-xs mt-2" :precision="1" variant="success" :value="40"></b-progress>
          </b-col>
          <b-col class="mb-sm-2 mb-0 d-md-down-none">
            <div class="text-muted">Unique</div>
            <strong>24.093 Users (20%)</strong>
            <b-progress height={} class="progress-xs mt-2" :precision="1" variant="info" :value="20"></b-progress>
          </b-col>
          <b-col class="mb-sm-2 mb-0">
            <div class="text-muted">Pageviews</div>
            <strong>78.706 Views (60%)</strong>
            <b-progress height={} class="progress-xs mt-2" :precision="1" variant="warning" :value="60"></b-progress>
          </b-col>
          <b-col class="mb-sm-2 mb-0">
            <div class="text-muted">New Users</div>
            <strong>22.123 Users (80%)</strong>
            <b-progress height={} class="progress-xs mt-2" :precision="1" variant="danger" :value="80"></b-progress>
          </b-col>
          <b-col class="mb-sm-2 mb-0 d-md-down-none">
            <div class="text-muted">Bounce Rate</div>
            <strong>Average Rate (40.15%)</strong>
            <b-progress height={} class="progress-xs mt-2" :precision="1" :value="40"></b-progress>
          </b-col>
        </b-row>
      </div> -->
    </b-card>
   
  </div>
</template>

<script>
import MainChartExample from "@/views/dashboard/MainChartExample";
// import SocialBoxChartExample from "./dashboard/SocialBoxChartExample";
import { Callout } from "@coreui/vue";
import { http } from "@/services";

export default {
  name: "dashboard",
  components: {
    Callout,
    MainChartExample
  },
  data: function() {
    return {
      summary: {
        countAgencies: 0,
        countPayments: 0,
        countProvinces: 0,
        countSalesmen: 0
      },
      countPaymentChartData: {
        labels: null,
        dataset: null
      }
    };
  },
  created() {
    this.fetchPaymentChartData();
    this.fetchSummaryData();
  },
  methods: {
    fetchPaymentChartData() {
      http.get("/summary/payment-by-day", response => {
        this.countPaymentChartData.labels = response.data.labels;
        this.countPaymentChartData.dataset = response.data.countByDays;
      });
    },
    fetchSummaryData() {
      http.get("/summary/dashboard", response => {
        this.summary.countProvinces = response.data.countProvinces;
        this.summary.countPayments = response.data.countPayments;
        this.summary.countAgencies = response.data.countAgencies;
        this.summary.countSalesmen = response.data.countSalesmen;
      });
    }
  }
};
</script>

<style>
/* IE fix */
#card-chart-01,
#card-chart-02 {
  width: 100% !important;
}
</style>
